Send template email via HTTP GET

Sends a transactional email using a template via HTTP GET. Designed for simple integrations
such as IVR webhooks where POST with JSON body is not practical.

All parameter values must be URL-encoded.

Example:

GET https://api.sendclean.net/v1.0/messages/sendTemplateHTTPGet?owner_id=YOUR_ID&token=YOUR_TOKEN
    &smtp_user_name=smtp12345&template_id=TMPL_ID&subject=Hello
    &from_email=info%40example.com&to=customer%40example.com
    &dynamic_value%5BNAME%5D=John&dynamic_value%5BEmail%5D=john%40example.com
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

A valid SendClean User ID

string
required

A valid API token

string
required

A valid SMTP user name

string
required

Previously created template ID

string
required

URL-encoded email subject

string
required

URL-encoded sender email address

string
required

URL-encoded recipient email address

string

URL-encoded dynamic value for NAME placeholder

string

URL-encoded dynamic value for Email placeholder

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json